Bug 1009298 - [RHEVM] [backend] it is not possible to create new VM without vNIC
[RHEVM] [backend] it is not possible to create new VM without vNIC
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Lior Vernia
Martin Pavlik
: Regression
Depends On: 1003779
  Show dependency treegraph
Reported: 2013-09-18 03:17 EDT by Martin Pavlik
Modified: 2016-02-10 14:57 EST (History)
11 users (show)

See Also:
Fixed In Version: is18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 17:18:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log_collector (6.68 MB, application/x-xz)
2013-09-18 03:17 EDT, Martin Pavlik
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19836 None None None Never

  None (edit)
Description Martin Pavlik 2013-09-18 03:17:23 EDT
Created attachment 799137 [details]

Description of problem:
If blank template has no vNIC and a new VM is created based on the blank template the new VM always has vNIC.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.22.master.el6ev 

How reproducible:

Steps to Reproduce:
1.remove all vNIC cards from blank template
2.create new VM

Actual results:
VM has vNIC with empty network attached

Expected results:
VM has no vNIC

Additional info:
2013-09-18 09:02:28,912 INFO  [org.ovirt.engine.core.bll.network.vm.AddVmInterfaceCommand] (pool-5-thread-49) [4383dc38] Running command: AddVmInterfaceCommand internal: false. Entities affected :  ID: 6fe052f7-08d5-4e87-ac6c-26116b00eb6a Type: VM
2013-09-18 09:02:29,010 INFO  [org.ovirt.engine.core.bll.network.vm.ActivateDeactivateVmNicCommand] (pool-5-thread-49) Running command: ActivateDeactivateVmNicCommand internal: true. Entities affected :  ID: 6fe052f7-08d5-4e87-ac6c-26116b00eb6a Type: VM
2013-09-18 09:02:29,070 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (pool-5-thread-49) Correlation ID: 121b4bbb, Call Stack: null, Custom Event ID: -1, Message: Network Interface nic1 (VirtIO) was plugged to VM abcd. (User: admin@internal)
Comment 2 Martin Pavlik 2013-09-18 09:42:43 EDT
Also if blank template has multiple vNICs in rhevm network, upon creation of new VM "empty" network is preselected for all vNICs.
Comment 3 Einav Cohen 2013-09-19 10:08:20 EDT
related to / duplicate of bug 1009407?
[note that one is ovirt and one is rhevm]
Comment 4 Lior Vernia 2013-09-19 11:03:04 EDT
Related, but not a duplicate. In my opinion Bug 1009407 is not a bug. This, however, is surely a bug. And it will be possible to solve after Bug 1003779 is solved.
Comment 6 Meni Yakove 2013-10-10 03:58:08 EDT
Comment 7 Itamar Heim 2014-01-21 17:18:11 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:24:35 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.